/* Title: Drive Window
   Name: Eric Walsh
   Description: This registers the Drive Window Class.
*/

#include <windows.h>

long FAR PASCAL DriveWindowProc (HWND, UINT, WPARAM, LPARAM);

void DriveButtonInit(HINSTANCE hInstance, HINSTANCE hPrevInstance)

{
   WNDCLASS wndclass;

   if (!hPrevInstance)
   {
      wndclass.style          = CS_HREDRAW | CS_VREDRAW;
      wndclass.lpfnWndProc    = DriveWindowProc;
      wndclass.cbClsExtra     = 0;
      wndclass.cbWndExtra     = 4;
      wndclass.hInstance      = hInstance;
      wndclass.hIcon	         = NULL;
		wndclass.hCursor	      = LoadCursor (NULL, IDC_ARROW);
		wndclass.hbrBackground  = CreateSolidBrush (RGB(192, 192, 192));
		wndclass.lpszMenuName   = NULL;
		wndclass.lpszClassName  = "DriveWindow";

		RegisterClass (&wndclass);
	}
}
